Bug 1808573 - Review Request: python-periodictable - Extensible periodic table of the elements
Summary: Review Request: python-periodictable - Extensible periodic table of the elements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Python-3.9 OK
Depends On:
Blocks: 1808571
TreeView+ depends on / blocked
 
Reported: 2020-02-28 20:37 UTC by Antonio T. (sagitter)
Modified: 2020-03-21 02:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-21 02:12:54 UTC
Type: ---
nonamedotc: fedora-review+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2020-02-28 20:37:56 UTC
Spec URL: https://sagitter.fedorapeople.org/python-periodictable/python-periodictable.spec
SRPM URL: https://sagitter.fedorapeople.org/python-periodictable/python-periodictable-1.5.2-1.fc31.src.rpm

This package is for Fedora, EPEL7 and EPEL8

Fedora Account System Username: sagitter

Comment 1 Antonio T. (sagitter) 2020-02-29 11:53:43 UTC
Successfully tested with Python-3.9

Comment 2 Mukundan Ragavan 2020-03-01 14:37:27 UTC
I will take this.

Comment 3 Mukundan Ragavan 2020-03-01 22:05:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package must not depend on deprecated() packages.
  Note: python3-nose is deprecated, you must not depend on it.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/deprecating-packages/


---> This is going to be an issue. See https://fedoraproject.org/wiki/Changes/DeprecateNose


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

---> License file not included in the source tarball.

Thank you for asking upstream about the license file in the release tarball.

https://github.com/pkienzle/periodictable/issues/30

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 181 files have unknown license. Detailed output of
     licensecheck in
     /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1808573-python-
     periodictable/licensecheck.txt

---> This looks fine.

[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

---> BSD and public domain.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-periodictable-1.5.2-1.fc33.noarch.rpm
          python-periodictable-1.5.2-1.fc33.src.rpm
python3-periodictable.noarch: W: spelling-error %description -l en_US xray -> cray, ray, tray
python3-periodictable.noarch: W: spelling-error %description -l en_US easured -> measured, ensured, treasured
python3-periodictable.noarch: W: no-documentation
python-periodictable.src: W: spelling-error %description -l en_US xray -> cray, ray, tray
python-periodictable.src: W: spelling-error %description -l en_US easured -> measured, ensured, treasured
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
python3-periodictable.noarch: W: spelling-error %description -l en_US xray -> cray, ray, tray
python3-periodictable.noarch: W: spelling-error %description -l en_US easured -> measured, ensured, treasured

---> This is a typo.

python3-periodictable.noarch: W: invalid-url URL: http://www.reflectometry.org/danse/elements.html <urlopen error [Errno -2] Name or service not known>


---> This URL works fine.

python3-periodictable.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://github.com/pkienzle/periodictable/archive/v1.5.2/periodictable-1.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 1aec9c59cfe1d53fd152cb25a6e36de78dcb187c95ac1fa98ae08c498e8f8929
  CHECKSUM(SHA256) upstream package : 1aec9c59cfe1d53fd152cb25a6e36de78dcb187c95ac1fa98ae08c498e8f8929


Requires
--------
python3-periodictable (rpmlib, GLIBC filtered):
    python(abi)
    python3.8dist(numpy)
    python3.8dist(pyparsing)



Provides
--------
python3-periodictable:
    python-periodictable
    python3-periodictable
    python3.8dist(periodictable)
    python3dist(periodictable)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1808573
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: PHP, Ocaml, R, C/C++, fonts, SugarActivity, Haskell, Java, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Mukundan Ragavan 2020-03-04 01:44:25 UTC
That works. Package approved.

Comment 6 Gwyn Ciesla 2020-03-04 14:38:05 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-periodictable

Comment 7 Fedora Update System 2020-03-06 03:46:55 UTC
python-periodictable-1.5.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f5ab9b93a3

Comment 8 Fedora Update System 2020-03-21 02:12:54 UTC
python-periodictable-1.5.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.